# QwAbsSpriteFieldView Class Reference

An abstraction which views a QwSpriteField More...

`#include <QwSpriteField.h>`

Inherited by QwScrollingSpriteFieldView and QwSpriteFieldView.

List of all member functions.

## Public Members

- QwAbsSpriteFieldView ( QwSpriteField * viewing=0 )
- void view ( QwSpriteField * )
- virtual QRect viewArea () const
- virtual bool preferDoubleBuffering () const
- virtual void beginPainter ( QPainter & )
- virtual void flush ( const QRect & area )
- virtual void updateGeometries ()

## Detailed Description

An abstraction which views a QwSpriteField

Use one of the derived classes.

## Member Function Documentation

### QwAbsSpriteFieldView::QwAbsSpriteFieldView ( QwSpriteField * v=0 )

Construct a QwAbsSpriteFieldView which views the given QwSpriteField.

### void QwAbsSpriteFieldView::beginPainter ( QPainter & ) `[virtual]`

Called to initialize the QPainter - normally calls QPainter::begin().

### void QwAbsSpriteFieldView::flush ( const QRect & area ) `[virtual]`

Called just before the painter is ended.

### bool QwAbsSpriteFieldView::preferDoubleBuffering () const `[virtual]`

Return TRUE if double-buffering is best for this class of widget. If any view viewing an area prefers double-buffering, that area will be double buffered for all views.

### void QwAbsSpriteFieldView::updateGeometries () `[virtual]`

Called by the field whenever it changes size. The default implementation does nothing.

### void QwAbsSpriteFieldView::view ( QwSpriteField * v )

Change the QwSpriteField which the QwSpriteFieldView is viewing.

### QRect QwAbsSpriteFieldView::viewArea () const `[virtual]`

viewArea returns the area of `viewing' which this QwAbsSpriteFieldView is viewing. The tighter this rectangle can be defined, the more efficient QwSpriteField::update will be.

Return zero-width area if nothing viewed.

This file is copyright © 1995-97 Warwick Allison.

It was generated from the following files:

- QwSpriteField.h
- QwSpriteField-double.cpp
- QwSpriteField-int.cpp
- QwSpriteField-mobdouble.cpp
- QwSpriteField-mobint.cpp
- QwSpriteField-template.cpp
- QwSpriteField.cpp